/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.Cropscale = Class.create(Photos.Model.Scene, {
	initialize: function(text, width, height, url, encoded, accepted) {
		this.text = text;
		this.width = width;
		this.height = height;
		this.url = encoded ? url : encodeURI(url);
		this.accepted = accepted;
	},

	getUrl: function() {
		return this.url;
	},

	getText: function() {
		return this.text;
	},

	getWidth: function() {
		return this.width;
	},

	getHeight: function() {
		return this.height;
	},

	getBackground: function() {
		return "black";
	},

	getZoomLimit: function() {
		return false;
	},

	getAccepted: function() {
		return this.accepted;
	}
});

